KJL - Feature #3124

Ketika row pertama Nama Barang sudah dipilih, ingin row-row berikutnya juga autoload
10/09/2024 10:08 AM - haykal haykal

Status: Closed Start date: 10/08/2024
Priority: High Due date: 10/14/2024
Assignee: Moch Alinafia % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Dear Shofwan,

Di menu Delivery Order dan Goods Receipt (PTRMATERIALITEM), ingin agar field Nama Barang, Material Type, dan Unit autoload
di row-row berikutnya setelah user memilih Nama Barang di row pertama.

(Jadi Nama Barang di row-row berikutnya otomatis sama dengan Nama Barang yang dipilih di row pertama. Dan field Material Type
dan Unit juga ikut autoload.)

Terimakasih.
Menu Path: Logistic & Service > Inventory Document > Delivery Order & Goods Receipt

Port: https://hris-kjl.minovais.com:31139/
DB: MinovaES_KJL_Prod (103.153.60.89)

History

#1 - 10/10/2024 10:46 AM - Kezia Pawitra Yulianti
- Due date set to 10/14/2024
- Status changed from New to Assigned

- Priority changed from Normal to High

#2 - 10/15/2024 10:12 AM - shofwan shiddiq
- Status changed from Assigned to QA Test
- Assignee changed from shofwan shiddiq to haykal haykal

supaya tidak kejadian bikin error engine save seperti kejadian di doc approve sales order,

saran saya untuk semua task yg terkait control dan ui logistic KJL di assign ke Mb Yomma, karena edit nya berbarengan di
E:\APP\KJL\UNapp\controllenlogistic\documentlogistic.js

#3 - 10/15/2024 01:49 PM - haykal haykal
- Status changed from QA Test to Assigned
- Assignee changed from haykal haykal to Tri Rizqiaty

#4 - 10/21/2024 09:39 AM - Tri Rizqiaty
- File clipboard-202410210939-9wa9a.png added

- Status changed from Assigned to Developing

Fixing : update MinovaXtype.js
https://hris-kjl.minovais.com:31139/
console. log{ storemat) ;

console. log{matdata) ;

21405 } else {

Z1406 console.log{'5'}):

21407 E if (tableName == "FTRMATERIALITEM") { //add by Tri nvh 20241015
21408 rar storemat = Ext.StoreMgr.lookup{"scoreP TRMATERIALITEM ) ;@
21409 if{storemat.getCount{) > O}

21410 E! { console, log{ ' autoloadaddioat ' §

Z1411 rar seqid = storemat.getCount{) - 1: console. log{seqid);
z1i412 var matdata = storemat.getit{segid).data;

21413 data["Doclo”] = watdata["Docko”]

z1414 data["DocItemID™] = matdata["DocTtemID™]

21415 data["locItenReE"] = matdata["DocltemRef"]

21416 data["HateriallD”] = watdata["MaterialID"] 7

21417 data["Trentiunber "] = matdaca[” Trentuminer ]

21418 data["ItenType”] = matdata["ItenType"];

21419 data["Itenf low"] = watdata["Itenl low"] ;

21420 data["Quantity"] = D:\Nms:data["Quan:mv”]:

21421 data["Unitleasurement”] = matdata["Unitleasurement™] ;
z14zz data["CuscSokef”] = matdata["CuscioRe£"];

21423 data["CustiSoltemief"] = matdata["Custi3oltenief"] ;

21424 data["FOREL"] = matdata["FOR=L"];

21425 daca["FOIcemkef"] = matdata["FPOItemReL"];

21426 data["DeliveryRef"] = matdata["DeliveryRei”] ;

21427 data["Deliveryltembef”] = matdata["DelivervltembeL”];
Z14z28 data["oualityInspectionResulc”] = matdata["QualicyInspectionResulc™]
21429 data["CuslityissuranceResulc”] = matdata["OuslityhssuranceResult”] ;
21430 data["Storage”] = mwatdata["Storage"]:

21431 data["Ein™] = matdata["BEin"]:

21432 data["Itartdate”] = matdata["Itartdat="];

21433 data["Endbate"] = matdata["EndDate"];

21434 data["Valuation”] = matdata["Valuation™]:

21435 data["RFeflocTr™] matdata["ReflocTo"] ;

21436 data["RefbocTy™] mwatdata [ "REefDocTy"]

21437 data["RefhocID"] wardata["RefDosIDN]

21438 data["lreateby"] = matdata["Createby"];

21439 data["Createlate"] = watdata["Createlate”] 7

z1440 data["Changeby"] = matdata["ChangeBy"] 2

21441 datal"Chanoelace”l = matdatal"Chanoelate"1:

<

#5 - 10/21/2024 09:39 AM - Tri Rizqgiaty
- Status changed from Developing to QA Test
- Assignee changed from Tri Rizqiaty to haykal haykal

#6 - 10/21/2024 11:32 AM - haykal haykal
- Status changed from QA Test to Closed

#7 - 10/23/2024 10:37 AM - haykal haykal
- Status changed from Closed to Deploy

- Assignee changed from haykal haykal to Muhammad Bintar

Kak Ali ini minta tolong deploy ya ke

port: https://hris-kjl.minovais.com:31139/
db: MinovaES_KJL_Prod (103.153.60.89)

Terimakasih.

#8 - 10/23/2024 10:45 AM - haykal haykal

- Assignee changed from Muhammad Bintar to Moch Alinafia

#9 - 10/23/2024 04:32 PM - Moch Alinafia
- Status changed from Deploy to Closed

Files

Row berikutnya ingin autoload.png 13 KB 10/09/2024 haykal haykal

clipboard-202410210939-9wa9a.png 38.4 KB 10/21/2024 Tri Rizqgiaty
